Compatibility with Windows 8

We are pleased to announce that movingweather version 3.0.3 is compatible with Windows 8, subject to the following:

1. Windows comes with .net Framework 4 preinstalled, however movingweather requires the installation of .net framework 2, which you can download for free here.

2. If you are using Windows 8 home addition , please ensure you have updated this edition to it’s available latest service pack.

Leave a Reply

Your email address will not be published. Required fields are marked *